from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XAxisXSupplier(XInterface, Protocol):
    def getXAxisTitle(self) -> XShape: ...
    def getXAxis(self) -> XPropertySet: ...
    def getXMainGrid(self) -> XPropertySet: ...
    def getXHelpGrid(self) -> XPropertySet: ...
